
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>BFS和DFS的java实现 / 憋错料</title>

    <meta name="description" content="BFS和DFS的java实现 &lt;pre name=&quot;code&quot; class=&quot;java&quot;&gt; import java.util.HashMap; import java.util.LinkedList; import java.util.Queue; /*广度遍历是遍历到某个顶点,然后訪问其连接点a,b.接着訪问a的连接表, 非常自然的,这种数据结构就是HashMap,以顶点为key.保存每一个顶点的连接表 */ public class BFS { static int c ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">BFS和DFS的java实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<pre>&lt;pre name="code" class="java"&gt;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.Queue;

/*广度遍历是遍历到某个顶点，然后訪问其连接点a,b。接着訪问a的连接表，
 非常自然的，这种数据结构就是HashMap，以顶点为key。保存每一个顶点的连接表
 */
public class BFS {
	static int count=0;
	/*
	 * HashMap&lt;Character,LinkedList&lt;Character&gt;&gt; graph 这个HashMap是用于存放图中每一个node的邻接表
	 * 表示此映射所维护的键的类型为Character。此映射值的类型为LinkedList&lt;Character&gt; graph
	 * 表示将映射关系存放在graph此映射中
	 *
	 * LinkedList&lt;Character&gt; 表示在此Collection中保持元素类型为Character
	 *
	 * HashMap&lt;Character,Integer&gt; dist 这个HashMap 是用于存放每一个node与距离顶点s的距离的映射关系
	 * 表示此映射所维护的键的类型为Character 此映射所维护的值的类型为Integer。dist表示将映射关系存放到dist此映射中
	 */
	private void bfs(HashMap&lt;Character, LinkedList&lt;Character&gt;&gt; graph,
			HashMap&lt;Character, Integer&gt; dist, char start) {
		// Queue&lt;Character&gt; 表示在此Collection中所保存的元素的类型为Character
		Queue&lt;Character&gt; q = new LinkedList&lt;Character&gt;();
		q.add(start);// 将指定元素s插入队列，成功时返回true，假设没有可用空间。则返回illegalStateException
		//put(start,0) start为指定值将要关联的键，0为指定值将要关联的值。 假设start与0的映射关系已存在，则返回并替换旧值0
		//假设 start与0的映射关系不存在，则返回null
		dist.put(start, 0);
		int i = 0;
		while (!q.isEmpty())//
		{
			char top = q.poll();// 获取并移除队列的头，返回队列的头，假设队列为空。返回null
			i++;
			// dist.get(top) 返回指定键top所映射的值
			System.out.println("The " + i + "th element:" + top+ " Distance from s is:" + dist.get(top));
			int d = dist.get(top) + 1;// 得出其周边还未被訪问的节点的距离
			/*
			 * graph.get(top)假设此映射包括一个满足 (key==null ? k==null : key.equals(k))
			 * 的从 k 键到 v 值的映射关系，则此方法返回 v；否则返回 null。（最多仅仅能有一个这种映射关系。

）
			 * for（元素变量：元素集合），假设元素集合中全部元素都已遍历过，则结束此循环。 否则运行for循环里的程序块
			 */
			for (Character c : graph.get(top)) {
				// containskey(key) 假设此映射包括对于指定键key的映射关系，则返回true
				if (!dist.containsKey(c))// 假设dist中还没有该元素说明还没有被訪问
				{
					//关联指定键c与指定值d。假设关联关系已存在。则替换旧值d。返回旧值d， 假设无映射关系，则返回null
					dist.put(c, d);
					q.add(c); // 将指定元素c插入队列，成功时返回true。假设没有可用空间，则返回illegalStateException
				}
			}
		}
	}
	private static void dfs(HashMap&lt;Character , LinkedList&lt;Character&gt;&gt; graph,HashMap&lt;Character, Boolean&gt; visited)
	{
	    visit(graph, visited, ‘s‘);
	}
	private static void visit(HashMap&lt;Character , LinkedList&lt;Character&gt;&gt; graph,HashMap&lt;Character, Boolean&gt; visited,char start)
	{

		if (!visited.containsKey(start)) {
			count++;
			System.out.println("The time into element " + start + ":" + count);// 记录进入该节点的时间
			visited.put(start, true);
			for (Character c : graph.get(start)) {
				if (!visited.containsKey(c)) {
					visit(graph, visited, c);// 递归訪问其邻近节点
				}
			}
			count++;
			System.out.println("The time out element " + start + ":" + count);// 记录离开该节点的时间
		}
	}
	public static void main(String args[]) {
		BFS bb = new BFS();
		// s顶点的邻接表
		LinkedList&lt;Character&gt; list_s = new LinkedList&lt;Character&gt;();
		list_s.add(‘w‘);
		list_s.add(‘r‘);
		LinkedList&lt;Character&gt; list_w = new LinkedList&lt;Character&gt;();
		list_w.add(‘s‘);
		list_w.add(‘x‘);
		list_w.add(‘i‘);
		LinkedList&lt;Character&gt; list_r = new LinkedList&lt;Character&gt;();
		list_r.add(‘s‘);
		list_r.add(‘v‘);
		LinkedList&lt;Character&gt; list_x = new LinkedList&lt;Character&gt;();
		list_x.add(‘w‘);
		list_x.add(‘y‘);
		list_x.add(‘u‘);
		LinkedList&lt;Character&gt; list_v = new LinkedList&lt;Character&gt;();
		list_v.add(‘r‘);
		LinkedList&lt;Character&gt; list_i = new LinkedList&lt;Character&gt;();
		list_i.add(‘w‘);
		LinkedList&lt;Character&gt; list_u = new LinkedList&lt;Character&gt;();
		list_u.add(‘x‘);
		LinkedList&lt;Character&gt; list_y = new LinkedList&lt;Character&gt;();
		list_y.add(‘x‘);
		HashMap&lt;Character, LinkedList&lt;Character&gt;&gt; graph = new HashMap&lt;Character, LinkedList&lt;Character&gt;&gt;();
		graph.put(‘s‘, list_s);
		graph.put(‘w‘, list_w);
		graph.put(‘r‘, list_r);
		graph.put(‘x‘, list_x);
		graph.put(‘v‘, list_v);
		graph.put(‘i‘, list_i);
		graph.put(‘y‘, list_y);
		graph.put(‘u‘, list_u);
		System.out.println("BFS starts:");
		HashMap&lt;Character, Integer&gt; dist = new HashMap&lt;Character, Integer&gt;();
		char start = ‘s‘;
		bb.bfs(graph, dist, start);
		System.out.println("DFS starts:");
		HashMap&lt;Character, Boolean&gt; visited=new HashMap&lt;Character, Boolean&gt;();
		bb.dfs(graph, visited);
	}
}
</pre>
<pre></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-01 21:42:38 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e9%9b%86%e5%90%88/" title="集合">集合</a>, <a href="https://www.biecuoliao.com/tag/%e8%bf%9e%e6%8e%a5/" title="连接">连接</a>, <a href="https://www.biecuoliao.com/tag/div/" title="div">div</a>, <a href="https://www.biecuoliao.com/tag/while/" title="while">while</a>, <a href="https://www.biecuoliao.com/tag/dfs/" title="dfs">dfs</a>, <a href="https://www.biecuoliao.com/tag/%e5%85%a5%e9%98%9f/" title="入队">入队</a>, <a href="https://www.biecuoliao.com/tag/illegal/" title="illegal">illegal</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>BFS和DFS的java实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoRoEQ4.html" rel="bookmark">HDU 1312  Red and Black&lpar;基础bfs或者dfs&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Red and Black Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)Total Submission(s): 11843    Accepted Submission(s): 7380 Problem Description There is a rectangular room, covered with square tiles. Each tile is color			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NJQkw4.html" rel="bookmark">&lbrack;Algorithms&rsqb; Graph Traversal &lpar;BFS and DFS&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Graph is an important data structure and has many important applications. Moreover, grach traversal is key to many graph algorithms. There are two systematic ways to traverse a graph, breadth-first search (BFS) and depth-frist search (DFS). Before fo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47qkl10.html" rel="bookmark">HDU 2102 A计划 &lpar;BFS或DFS&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意:中文题. 析:是一个简单的搜索,BFS 和 DFS都可行, 主要是这个题有一个坑点,那就是如果有一层是#,另一个层是#或者*,都是过不去的,就可以直接路过, 剩下的就是一个简单的搜索,只不过是两层而已,可能一个就是在#必须传送,这个题目已经说的很清楚了. 代码如下: BFS: #pragma comment(linker, &quot;/STACK:1024000000,1024000000&quot;) #include &lt;cstdio&gt; #include &lt;string&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aR7Xg3.html" rel="bookmark">zoj 3811 Untrusted Patrol（bfs或dfs）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Untrusted Patrol Time Limit: 3 Seconds      Memory Limit: 65536 KB Edward is a rich man. He owns a large factory for health drink production. As a matter of course, there is a large warehouse in the factory. To ensure the safety of drinks, Edward hir			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoLKok0.html" rel="bookmark">poj 1724ROADS（bfs和dfs做法）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 /* 2 dfs比较好想,就是测试数据的问题,导致在遍历边的时候要倒着遍历才过! 3 */ 4 #include&lt;iostream&gt; 5 #include&lt;cstdio&gt; 6 #include&lt;cstring&gt; 7 #include&lt;vector&gt; 8 #include&lt;algorithm&gt; 9 #define Max 0x3f3f3f3f 10 using namespace std; 11 12 struct node{ 13 int D			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6XVRy3.html" rel="bookmark">BFS 和 DFS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BFS and DFS 一般来说,能用DFS解决的问题,都能用BFS.DFS容易爆栈,而BFS可以自己控制队列的长度.深度优先一般是解决连通性问题,而广度优先一般是解决最短路径问题. 广优的话,占内存多,能找到最优解,必须遍历所有分枝. 广优的一个应用就是迪科斯彻单元最短路径算法. 深优的话,占内存少,能找到最优解(一定条件下),但能很快找到接近解(优点),可能不必遍历所有分枝(也就是速度快), 深优的一个应用就是连连看游戏. 两个算法都是O(V+E),在用到的时候适当选取. A Tree is			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38D1y23.html" rel="bookmark">HDU 1983 Kaitou Kid - The Phantom Thief &lpar;2&rpar;     bfs and dfs</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description 破解字迷之后,你得知Kid将会在展览开始后T分钟内盗取至少一颗宝石,并离开展馆.整个展馆呈矩形分布,划分为N*M个区域,有唯一的入口和出口(不能从出口进入,同样不能从入口出去).由某个区域可直接移动至相邻四个区域中的一个,且最快需要一分钟.假设Kid进入放有宝石的区域即可盗取宝石,无需耗时.问至少要封锁几个区域(可以封锁放有宝石的区域,但不能封锁入口和出口)才能保证Kid无法完成任务. Input 输入的第一行有一个整数C,代表有C组测试数据.每组测试数据的第一行有三个整			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4porBK3.html" rel="bookmark">图的遍历（bfs 和dfs）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BFS的思想: 从一个图的某一个顶点V0出发,首先访问和V0相邻的且未被访问过的顶点V1.V2.……Vn,然后依次访问与V1.V2……Vn相邻且未被访问的顶点.如此继续,找到所要找的顶点或者遍历完整个图. 由此可以看出,用BFS进行搜索所搜索的顶点都是按深度进行扩展的,先找到到V0距离为1的所有顶点,然后找到距离V0为2的顶点……所以BFS所搜索到的都是最短的路径. 由于要将距离V0为d(d&gt;0)的且未被方位的点都记录起来,我们采用队列这种数据结构.队列的特点是先进先出(FIFO),从某个顶点出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0krzRjM.html" rel="bookmark">15 图-图的遍历-基于邻接矩阵实现的BFS与DFS算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				算法分析和具体步骤解说直接写在代码注释上了 TvT 没时间了等下还要去洗衣服 就先不赘述了 有不明白的欢迎留言交流!(估计是没人看的了) 直接上代码: 1 #include&lt;stdio.h&gt; 2 #include&lt;queue&gt; 3 #include&lt;iostream&gt; 4 using namespace std; 5 typedef struct{ 6 int Vex[10];//顶点表 7 int Edge[10][10]; 8 int vexnum,arcnum;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pveoV0.html" rel="bookmark" class="title">iOS定位</a>
					<div>
						Core Location 的简单使用分享,如有不到位的或者错误的地方,请不吝赐教 Core Location 可以利用3种技术实现定位功能:GPS.蜂窝基站三角网定位和Wi-Fi定位服务.所有这三种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pvbbM.html" rel="bookmark" class="title">webstorm-主题和配色</a>
					<div>
						1.引子 以前介绍过 Sublime text 3 系列的文章,着重介绍了 Sublime text 3 如何下载.安装.插件.配置等内容.Sublime text 3的轻量和富扩展,为前端开发带来了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JY8EA3.html" rel="bookmark" class="title">解决ImageView上下有空白的办法</a>
					<div>
						今天在做应用的时候,发现ImageView上下有一段的地方时空白的,于是知道了这个一个属性: android:adjustViewBounds=&quot;true&quot; 加上去就好使了,它的意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPW2az4.html" rel="bookmark" class="title">netstat--查看服务器&lbrack;有效&rsqb;连接数--统计端口并发数--access&period;log分析</a>
					<div>
						简介 Netstat 命令用于显示各种网络相关信息,如网络连接,路由表,接口状态 (Interface Statistics),masquerade 连接,多播成员 (Multicast Member ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpljE3.html" rel="bookmark" class="title">指南针开发</a>
					<div>
						ios 定位新功能----在程序中实现定位功能 转:http://www.2cto.com/kf/201501/369336.html 2015-01-14      0个评论    来源:haoga ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KOo9j0.html" rel="bookmark" class="title">给js文件传递参数</a>
					<div>
						其实为js文件传参是很久就接触过的一个问题,只是一直没有放在心上,今日总结一下. 解决思路: 1.首先获取到当前JS文件的SRC属性,这里有一个小技巧:我们只需要获取当前页面最后一个script标记内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49LjVA3.html" rel="bookmark" class="title">wydomain</a>
					<div>
						目标系统信息收集组件,完全模块化,脚本均可拆可并.可合可分的使用! 运行流程 利用FOFA插件获取兄弟域名,并透视获取到的子域名相关二级域名.IP信息 检查域名和兄弟域名是否存在域传送漏洞,存在就遍历 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NjmWZ4.html" rel="bookmark" class="title">前端切图</a>
					<div>
						新建 1920*2000(高自定,宽固定) 分辨率 72 移动工具设置针对psd文件  自动选择后的框选择图层 ctrl+鼠标单击图层 然后就可以拖图层    ctrl+点图层 选中该图层 视图设置: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZJJj4.html" rel="bookmark" class="title">RobotFramework-----第二次执行case时，log窗口未显示数据</a>
					<div>
						第二次执行case时,log窗口未显示数据,如下图 原因:case运行时,是使用IE或是chrome浏览器,运行一次后IEDriverServer.exe或chromedriver.exe进程仍在运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZmAP3.html" rel="bookmark" class="title">Java第四周作业</a>
					<div>
						package lianxi; import java.io.File;import java.io.FileInputStream;import java.io.FileOutputStream;i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OZjeG0.html" rel="bookmark" class="title">关于验证码的首次加载失效问题</a>
					<div>
						验证码首次加载失效问题相信很多人都遇到过.不论是从百度还是谷歌上去搜索,都会看到许多人抱怨这个问题.在亲身经历了验证码失效的投诉之后,我也在思考这个问题. 原因方面目前还不清楚,但是我想到了一个解决办 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qRA7G4.html" rel="bookmark" class="title">错误卸载软件导致Windows7系统中的软件无法播放视频</a>
					<div>
						1.错误描述 2.错误原因 在卸载软件时,不小心将Windows7中的服务给删除了 3.解决办法 重新安装操作系统					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QjKJEM.html" rel="bookmark" class="title">第九篇 装饰器</a>
					<div>
						阅读目录 一 什么是装饰器 二 装饰器需要遵循的原则 三 实现装饰器知识储备 四 高阶函数 五 函数嵌套 六 闭包 七 无参装饰器 八 装饰器应用示例 一 什么是装饰器 器即函数 装饰即修饰,意指为其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mzk9qy0.html" rel="bookmark" class="title">团队项目&mdash;每日记录1</a>
					<div>
						今天:今天将Android环境搭建完毕: 完成了登录及注册界面的设计以及页面跳转: 将app将会用到的服务器mysql搭建完毕: 明天:打算连接数据库: 今天设计界面时遇到的问题有:运行时需要adb连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6wGdM.html" rel="bookmark" class="title">JBOSS-EAP-6&period;2集群部署</a>
					<div>
						1 概述 应用的合理部署即能提高系统的可靠性和稳定性,又能提高系统的可维护性和扩展性.本文档详细阐述基于Apache负载均衡和JBOSS7集群的应用系统部署方案和配置步骤.内容涉及部署方案.环境配置. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZaZz80.html" rel="bookmark" class="title">所有机器之间ssh无密码登录ks文件模板</a>
					<div>
						[[email protected] ~]# cat /var/lib/cobbler/kickstarts/rhel_6.5_for_HP_ceph.ks #platform=x86, AMD64, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MynLKp0.html" rel="bookmark" class="title">关于时间的操作（Java版）</a>
					<div>
						本博文收录在编程过程中使用过的关于时间操作的Java代码: 1.获取给定日期N天后的日期 import java.util.Calendar; public class Test { public s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXr974.html" rel="bookmark" class="title">适配器设计模式及GenericServlet&lpar;九&rpar;</a>
					<div>
						如果这个接口里面有好多方法,那创建A/B/C这个三个类的时候如果必须继承这个接口,那么就要写这么多方法代码是很丑陋的.所有使用适配器就可以解决这个问题,如下: 定义一个CommonIn接口   不使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX1qzV0.html" rel="bookmark" class="title">如何更好的读懂复杂程序代码</a>
					<div>
						1)平静下心,准备好本子,和一支笔: 2)找到你需要读懂哪几个项目,或者清晰你要搞懂一个什么业务: 3)不要深入复杂方法内部,迷失目标: 4)不要怀疑代码有错误,即使有错误,先认为是正确的,先大概理清 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzykBl4.html" rel="bookmark" class="title">第11月第14天 opengl yuv</a>
					<div>
						1. Here is some snippets of code from my project 'movie player for iOS'. 1. fragment shader varying  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
